Spaces method and path for this operation:
post /s/{space_id}/api/fleet/fleet_server_hosts
Refer to Spaces for more information.
Create a new Fleet Server host.
[Required authorization] Route required privileges: fleet-settings-all.
POST
/api/fleet/fleet_server_hosts
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/fleet_server_hosts' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{"host_urls":["https://fleet-server.example.com:8220"],"is_default":false,"name":"My Fleet Server"}'
Request example
Create a new Fleet Server host
{
"host_urls": [
"https://fleet-server.example.com:8220"
],
"is_default": false,
"name": "My Fleet Server"
}
Response examples (200)
The created Fleet Server host
{
"item": {
"host_urls": [
"https://fleet-server.example.com:8220"
],
"id": "fleet-server-host-id-2",
"is_default": false,
"is_preconfigured": false,
"name": "My Fleet Server"
}
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}